<template>
  <v-row>
    <v-col>
      <div class="text-h1 mb-5">UI</div>
      <v-card class="mb-5" variant="outlined">
        <v-card-title class="headline">
          Buttons
        </v-card-title>
        <v-card-text>
          <v-btn variant="outlined" rounded nuxt to="/ui">
            Normal
            <v-icon right>add</v-icon>
          </v-btn>
          <v-btn variant="outlined" rounded class="inverted" nuxt to="/ui">
            <v-icon left>add</v-icon>
            Inverted
          </v-btn>
          <v-btn plain rounded class="flashy" nuxt to="/ui">
            Flashy
          </v-btn>
          <v-btn color="primary" variant="outlined" rounded nuxt to="/ui">
            Primary
          </v-btn>
          <v-btn color="secondary" variant="outlined" rounded nuxt to="/ui">
            Secondary
          </v-btn>
          <v-btn variant="outlined" icon fab nuxt to="/ui">
            <v-icon>edit</v-icon>
          </v-btn>
          <v-btn plain icon fab nuxt class="flashy" to="/ui">
            <v-icon>edit</v-icon>
          </v-btn>
          <br />
          <v-btn variant="outlined" rounded large nuxt to="/ui">
            Normal Large
          </v-btn>
          <v-btn variant="outlined" rounded large class="inverted">
            Inverted Large
          </v-btn>
          <v-btn plain rounded large class="flashy" nuxt to="/ui">
            Flashy Large
          </v-btn>
          <v-btn color="primary" variant="outlined" rounded large nuxt to="/ui">
            Primary Large
          </v-btn>
          <v-btn color="secondary" variant="outlined" rounded large to="/ui">
            Secondary Large
          </v-btn>
          <v-btn variant="outlined" icon large fab to="/ui">
            <v-icon>edit</v-icon>
          </v-btn>
          <v-btn plain icon large fab class="flashy" to="/ui">
            <v-icon>edit</v-icon>
          </v-btn>
          <v-btn plain icon large fab nuxt class="action" to="/ui">
            <v-icon>edit</v-icon>
          </v-btn>
          <br />
          <v-btn variant="outlined" rounded nuxt disabled to="/ui">
            Normal Disabled
            <v-icon right>add</v-icon>
          </v-btn>
          <v-btn variant="outlined" rounded class="inverted" nuxt disabled to="/ui">
            <v-icon left>add</v-icon>
            Inverted Disabled
          </v-btn>
          <v-btn plain rounded class="flashy" disabled nuxt to="/ui">
            Flashy Disabled
          </v-btn>
          <v-btn color="primary" variant="outlined" rounded nuxt disabled to="/ui">
            Primary Disabled
          </v-btn>
          <v-btn color="secondary" variant="outlined" rounded nuxt disabled to="/ui">
            Secondary Disabled
          </v-btn>
          <v-btn variant="outlined" icon fab nuxt disabled to="/ui">
            <v-icon>edit</v-icon>
          </v-btn>
          <v-btn plain icon disabled fab nuxt class="flashy" to="/ui">
            <v-icon>edit</v-icon>
          </v-btn>
        </v-card-text>
      </v-card>

      <v-card class="mb-5" variant="outlined">
        <v-card-title class="headline">
          Button Toggle
        </v-card-title>
        <v-card-text>
          <v-btn-toggle v-model="buttonToggle1" rounded>
            <v-btn :value="true">
              <span>Toggle</span>
            </v-btn>
            <v-btn :value="false">
              <span>Toggle</span>
            </v-btn>
          </v-btn-toggle>
          <v-btn-toggle v-model="buttonToggle2" color="primary" rounded>
            <v-btn :value="true">
              <span>Toggle Primary</span>
            </v-btn>
            <v-btn :value="false">
              <span>Toggle Primary</span>
            </v-btn>
          </v-btn-toggle>
          <v-btn-toggle v-model="buttonToggle3" color="secondary" rounded>
            <v-btn :value="true">
              <span>Toggle Secondary</span>
            </v-btn>
            <v-btn :value="false">
              <span>Toggle Secondary</span>
            </v-btn>
          </v-btn-toggle>
          <br />
          <v-btn-toggle v-model="buttonToggle3" color="secondary" class="single-button" rounded>
            <v-btn :value="true" rounded>
              <span>Toggle Secondary Unique</span>
            </v-btn>
          </v-btn-toggle>
        </v-card-text>
      </v-card>

      <v-card class="mb-5" variant="outlined">
        <v-card-title class="headline">
          Tabs
        </v-card-title>
        <v-card-text>
          <v-tabs slider-color="primary">
            <v-tab>
              <v-icon>flight</v-icon>
              Vols en prévision
            </v-tab>
            <v-tab>
              <v-icon>move_to_inbox</v-icon>
              Vols archivés
            </v-tab>
            <v-tab>
              <v-icon>person</v-icon>
              Administration
            </v-tab>
          </v-tabs>
        </v-card-text>
      </v-card>

      <v-card class="mb-5" variant="outlined">
        <v-card-title class="headline">
          Forms
        </v-card-title>
        <v-card-text>
          <v-text-field placeholder="Recherche" plain rounded variant="outlined" class="search-input" color="primary">
            <v-icon slot="append">
              search
            </v-icon>
          </v-text-field>
          <v-text-field label="Input" color="primary" variant="outlined">
          </v-text-field>
          <v-select label="Select" color="secondary" variant="outlined">
          </v-select>
          <v-file-input variant="outlined" clear-icon="delete" color="secondary">
          </v-file-input>
          <v-checkbox label="Checkbox" color="secondary">
          </v-checkbox>
        </v-card-text>
      </v-card>

      <v-card class="mb-5" variant="outlined">
        <v-card-title class="headline">
          Snackbars
        </v-card-title>
        <v-card-text>
          <v-btn variant="outlined" rounded @click="showToast">
            Toast Info
            <v-icon right>add</v-icon>
          </v-btn>
        </v-card-text>
      </v-card>
    </v-col>
  </v-row>
</template>

<script setup lang="ts">
useHead({
  title: 'AirVam UI'
})
definePageMeta({
  layout: 'airvam'
})

const buttonToggle1 = ref(false);
const buttonToggle2 = ref(true);
const buttonToggle3 = ref(true);

const { $toast } = useNuxtApp();
const showToast = () => {
  $toast.success("Success Toast !");
  $toast.info("Info Toast !");
  $toast.error("Error Toast !");
  $toast.warning("Warning Toast !");
}
</script>
